亚马逊卖家商品
Amazon Seller Products 返回指定 Amazon 卖家所提供商品的目录,包含价格、评分和配送详情。使用 page 进行分页。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API 密钥(与 Amazon 共用)。 |
engine | string | yes | 必须为 amazon。 |
type | string | yes | 必须为 seller_products。 |
seller_id | string | yes | Amazon 卖家 ID(例如 AAZRLVTNON75Z)。 |
domain | string | no | 市场域名,默认 amazon.com。 |
device | desktop | mobile | no | 模拟设备。 |
page | integer | no | 结果页码。 |
Example request
Section titled “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_products", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_products', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
Section titled “Example response”{ "search_parameters": { "amazon_url": "https://www.amazon.com/s?me=AAZRLVTNON75Z", "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_products", "seller_id": "AAZRLVTNON75Z" }, "search_results": { "product_results": [ { "position": 1, "product_id": "B01NGTV4J5", "title": "Cascade Platinum Dishwasher Pods", "link": "https://www.amazon.com/dp/B01NGTV4J5", "thumbnail": "https://m.media-amazon.com/images/I/71-268JmbAL.jpg", "price": "$38.88", "currency": "$", "shipping_details": ["FREE delivery May 2 - 5"] }, { "position": 2, "product_id": "B000SDKDM4", "title": "Lavazza Super Crema Whole Bean Coffee Blend", "price": "$36.64", "bestseller": { "category": "in Roasted Coffee Beans" } } ] }, "pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }}